#pragma once

#include "ofxiOS.h"

#define NUM_SQUARES 20

class ofApp : public ofxiOSApp{
	
    public:
        void setup();
        void update();
        void draw();
        void exit();
	
        void touchDown(ofTouchEventArgs & touch);
        void touchMoved(ofTouchEventArgs & touch);
        void touchUp(ofTouchEventArgs & touch);
        void touchDoubleTap(ofTouchEventArgs & touch);
        void touchCancelled(ofTouchEventArgs & touch);

        void lostFocus();
        void gotFocus();
        void gotMemoryWarning();
        void deviceOrientationChanged(int newOrientation);
    
    float posX[NUM_SQUARES], posY[NUM_SQUARES];
    float speedX[NUM_SQUARES], speedY[NUM_SQUARES];
    float myColor[NUM_SQUARES];
    bool touched[NUM_SQUARES];

};


